Subject: Re: bug#48489: 28.0.50; Incorrect Edebug instrumentation for old `when-let' form
From: Philipp Stephani <[email-masked]>
To: [email-masked]
Date: Tue, 18 May 2021 09:29:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Di., 18. Mai 2021 um 00:09 Uhr schrieb Philipp <[email-masked]>:
> This can be rectified by swapping the two `&or' branches in the Edebug
> specification for `if-let', which makes sense given the first branch is
> often a superset of the second.  I don't mind doing that, but maybe
> there are negative conseqences from that that I don't see?

I guess the easiest way to find out is to make the change and see
whether anything breaks ;-)
Done with commit 9676d41b8301b84e07717e633059a3f2b5c4c9d8.